var net = require('net');

var clients = [];

var sendMessage = function(client, message) {
  for(var i = 0; i < clients.length; i++) {
    if(client !== clients[i]) {
      clients[i].write('\n' + message + "\nType a message to send to others:");
    }
  } 
}

var handleConnection = function(client) {
  console.log(client);
  clients.push(client);
  
  client.write("Type a message to send to others:");
  
  var responseToMessage = function(data) {
    sendMessage(client, data);
    client.write("Message sent, type another:");
  }
  
  var removeClient = function() {
    clients.splice(clients.indexOf(client), 1);
  }
  
  client.on('data', responseToMessage);
  client.on('end', removeClient);
}

var server = net.createServer();
server.on('connection', handleConnection);
server.listen(8080);
console.log('server started...');