var http = require('http');
var url = require('url');
var queryString = require('querystring');

var handler = function(request, response) {
  var write = function(status, message) {
    response.writeHead(status, {'Content-Type': 'text/plain'});
    return response.end(message);
  }
  
  var params = queryString.parse(url.parse(request.url).query);
  var name = params.name ? params.name : 'you';

  var message = new Date() + " : " + name + ' have a great day!';
  return write(200, message);
}

console.log('starting server...');
http.createServer(handler).listen(8084);